Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputAxis

Input Axis interface.
Contained in: global
Derived from: none
Derived by: CL_InputAxis_Basic CL_InputAxis_Group CL_InputButtonToAxis_Analog CL_InputButtonToAxis_Digital
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

``virtual`` | `~CL_InputAxis` | `()`;

### Attributes:

``virtual` `float`` | `get_pos` | `()`;

## Description:

CL_InputAxis is the interface to an input axis, such as a joystick axis.

## Function Member Descriptions:

CL_InputAxis::get_pos - Returns a value between -1 and 1. Zero means centered, and -1 and 1 means all-the-way to either side (up/down, left/right, whatever).
``virtual` `float`` `get_pos` `()`;

> Returns - Current axis position.

CL_InputAxis::~CL_InputAxis - Input Axis destructor
``virtual`` `~CL_InputAxis` `()`;